Page MenuHomePhabricator

get onion back online for whonix.org
Closed, ResolvedPublic

Description

We still have the key for the onion we previously had. The bug why we turned off the onion previously should be fixed by now.

The Debian mirror serving over an onion (T399) seems to work. So we should get the onion for whonix.org back online.

Subdomains (phabricator.whonix.org and forums.whonix.org) are problematic. So we might just do it for www.whonix.org.

But maybe there is also a solution for sub domains? -> https://gist.github.com/mtigas/565718bbb928ce439e95

Does letsencrypt help with onions? -> T443

Details

Impact
Normal

Event Timeline

Patrick created this task.Apr 11 2016, 6:18 PM
fortasse added a comment.EditedMay 1 2016, 8:56 PM

http://phabricator.kkkkkkkkkk63ava6.onion/
http://forums.kkkkkkkkkk63ava6.onion/
http://kkkkkkkkkk63ava6.onion (and http://www.kkkkkkkkkk63ava6.onion)
http://download.kkkkkkkkkk63ava6.onion/ (the same as https://www.whonix.org/download/)

all up and running.

I also updated https://www.whonix.org/w/index.php?title=Forcing_.onion_on_Whonix.org, but I'm not sure it's 100% accurate anymore. The xml posted there works pretty well for me. Phabricator is the only thing that seems to be giving trouble, the wiki and the forums appear to be perfectly happy with supplying relative path links and not redirecting back to whonix.org.

I'll leave this open a while longer while we work out any issues, but it seems like things are working pretty well for me.

If/when LE let's us get .onions on our certificate, I'll do that as well.

The onion site for the forums and wiki works great however for phabricator when logging in it still redirects to the clearnet site with an error about not being able to set a cookie for the username.

Patrick closed this task as Resolved.May 18 2016, 5:38 PM

Works fine so far. No complaints. Closing. We can always reopen in case of issues.